Eclipse Platform Release 3.7

## org.eclipse.core.variables
Interface IValueVariableListener

    public interface IValueVariableListener

A string variable listener is notified of variables as they are added and removed from the string variable manager. As well, listeners are notified when a value variable changes value.

Clients may implement this interface.

Since:
  3.0

Method Summary
`void` `variablesAdded(IValueVariable[] variables)` Notification the given variables have been added to the variable manager.
`void` `variablesChanged(IValueVariable[] variables)` Notification the given variables have been changed value.
`void` `variablesRemoved(IValueVariable[] variables)` Notification the given variables have been removed from the variable manager.

Method Detail

### variablesAdded

    void variablesAdded(IValueVariable[] variables)

  Notification the given variables have been added to the variable manager.

  Parameters:
    `variables` - added variables

### variablesRemoved

    void variablesRemoved(IValueVariable[] variables)

  Notification the given variables have been removed from the variable manager.

  Parameters:
    `variables` - removed variables

### variablesChanged

    void variablesChanged(IValueVariable[] variables)

  Notification the given variables have been changed value.

  Parameters:
    `variables` - changed variables

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.